package com.roeschter.jsl;

import java.net.*;
import java.io.*; 
                  
/**
  * A simple example for a java service.
  * This is a simple echoing Telnet Server.
  * It accepts telnet connections on port 23 and echos back every character typed.
*/                  
class StopTest extends Thread
{                                               
    static boolean exitMain = false;
    static boolean startThread = false;
    static boolean callExitMain = false;
    static boolean callExitThread = false;
        
    public void run()
    {
        try {
            Thread.sleep( 5000 );
            
            System.out.println( "Now exiting child thread" );   
               
            if ( callExitThread )
                System.exit(0);  
        } catch ( Exception e )
        {
            e.printStackTrace();
        }     
    }     
                                                                                                                            
    /**                                                         
    * The main method called when the service starts.
    */
    public static void main (String[] argv) throws Exception
    {               	  
        for( int i=0; i<argv.length; i++ )
        {
            if ( argv[i].equals( "-exitMain" ) )
                exitMain = true;   
            if ( argv[i].equals( "-startThread" ) )
                startThread = true;   
            if ( argv[i].equals( "-callExitMain" ) )
                callExitMain = true;   
            if ( argv[i].equals( "-callExitThread" ) )
                callExitThread = true;   
        }
    
        if ( startThread )
            new StopTest().start();
    
        if ( !exitMain )
        {
            while ( 1==1)
                Thread.sleep(1000);
        }    
    
        System.out.println( "Now exiting main thread" );
    
        if ( callExitMain )
            System.exit(0);
    
    }
}               




